Subject: Re: [BUG #12364] Re: HTB - very bad precision? HFSC works fine! 2.6.28

From: Jarek Poplawski <[email-masked]>
Date: Thu, 15 Jan 2009 10:38:38 +0000

On Wed, Jan 14, 2009 at 07:37:00PM -0000, Jorge Bastos wrote:
...
> > My traffic is "transit", means just passing router. I guess if it is
> > correct,
> > there must be statement about difference in locally generated traffic and
> > transit traffic. TSO/GSO offloading i guess not done for "passing thru"
> > traffic.
> >
> 
> Denys,
> Not correct, my traffic is transit as you say.
> That is a public IP and that traffic is for public access only.
> 

Yes, TSO/GSO affect shaping of any traffic going through (usually out)
a device with these options enabled. The main issue here was TBF which
treats it different (drops too big packets) than e.g. HTB.

Jarek P.